import 'package:flutter/material.dart';
import 'package:tanami_app/features/MainScreens/Settings/presentation/pages/settings_layout.dart';

import '../../../../../core/styles/app_color.dart';
import '../../../../../core/styles/app_text.dart';
import '../../../../../shared/components/text_widget.dart';

class SettingsScreen extends StatefulWidget {
  const SettingsScreen({super.key});

  @override
  State<SettingsScreen> createState() => _SettingsScreenState();
}

class _SettingsScreenState extends State<SettingsScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColor.plainWhite,
      appBar: AppBar(
        backgroundColor: Colors.white,
        elevation: 0,
        scrolledUnderElevation: 0,
        automaticallyImplyLeading: false,
        centerTitle: true,
        title: TextWidget().text22W700(
          AppText.settingsText,
          clr: AppColor.charcoalColor,
        ),
        titleSpacing: 16,
      ),
      body: SettingsLayout(),
    );
  }
}
